;============================
; INI file for plugin CHMDir
;============================

;---------------
; main settings
;---------------
[CHMDir]

;------------------
; Unpacker options

; show (1) special CHM files like #STRINGS (started with # or $) or no (0).
; Dialog control: Show special CHM files in 'CHMDir plugin settings'.
; Default = 0
show_spec_files=1

; show (1) special IStorage format files or no (0).
; NB: this files contain compressed section files (shown in file window)
; and information about compression — so profit from these files is questionable.
; Dialog control: Show special ITS files.
; Default = 0
show_stor_files=0

; mark (1) or not (0) special CHM and IStorage file with attributes.
; CHM files — hidden, IStorage — system.
; Dialog field: Use file attributes.
; Default = 0
use_file_attrib=1

; how much CHM files will be cached.
; NB: Each cached archive need about 0.5 Mb RAM.
; Dialog control: Files in cache.
; Default = 0
arc_cache_count=2


;----------------
; Packer options

; calculate listing chunk size (1) or not (0): if total size of listing less then 32 kb,
; then single chunk will be created. If not, dir_chunk_size will be used. It allows
; making smaller CHM (about dir_chunk_size).
; Dialog control: Calculate optimal size of listing chunk.
; Default = 0
calc_chunk_size=1

; file names that will be used as default topic when generate #SYSTEM and .hhc files.
; First come from list will be used.
; Dialog control: Default topic filenames (index.htm;index.html;readme.htm;).
; Default = index.htm;index.html;contents.htm;contents.html;readme.htm;readme.html
default_topics=index.htm;index.html;contents.htm;contents.html;readme.htm;readme.html

; directory listing chunk size in bytes (4096).
; Dialog control: Dir listing chunk size.
; Default = 4096
dir_chunk_size=4096

; extensions to not compress in form gif;jpg (without point, separated by semicolon).
; Will be used if its_use_store=1. Wildcards may be used (* and ?).
; Dialog control: Store files by ext. (jpg;png;gif;).
; Default = gif;jpg;png;zip;rar;swf
its_store_ext=gif;jpg;png;swf;avi;zip;rar;cab;ch?;hx?

; store (1) or not (0) files with extension from its_store_ext.
; Dialog control: Store files by ext. (jpg;png;gif;) check box.
; Default = 0
its_use_store=1

; LZX window size code 0 - 6 inclusive. 0 - 32k, 1 - 64k, 2 - 128k, ... 6 - 2M bytes.
; Only if use_itss_dll=0
; Greater window size —> better compress and less speed (in geometrical progression).
; Dialog control: LZX compression window size.
; Default = 1
lzx_wsize_code=1

; sort files by extension before packing (better compression) (1) or not (0).
; Dialog control: Sort dir listing by extension before compress.
; Default = 0
sort_dir_by_ext=1

; LCID for storing in #SYSTEM, ITS file header and ITS dir header.
; Default = GetUserDefaultLCID()
htmlhelp_LCID=0x0419

; set (1) or not (0) priority to THREAD_PRIORITY_LOWEST when packing.
; Dialog control: Low priority.
; Default = 0
low_priority=0

; if your system supports IStorage COM interface, use it (1) for packing.
; Dialog control: Use IStorage COM interface (itss.dll) for packing.
; Default = 1
use_itss_dll=1

; title of topic that have not <TITLE> tag in <HEAD> section.
; Dialog control: Title of topic without <TITLE> tag.
; Default = No Title
title_stub=Untitled Topic

; use (1) or not (0) custom window type.
; Dialog control: Use custom window.
; Default = 0
use_custom_wintype=1

; store (1) or not (0) file's last update date and time.
; File #CHMDir_FTimes will be created in root dir of archive.
store_filetime=1


;----------------------------
; HtmlHelp window properties
; For more information see htmlhelp.h from HtmlHelp Workshop

; Clear stored data about used CHMs (1) or not (0).
; File hh.dat stores the Favourites and Search history for each CHM file.
; It also caches window type information for each CHM. It is usually located
; in the users profile directory under Application Data\Microsoft\HTML Help
; and also has the ITSF format.
; Dialog control: Delete information about file from hh.dat in dialog 'HtmlHelp windows properties'.
; Default = 1
clear_chm_data=1

; Which values of wintype (properties of window) are valid.
; Sum of:
; 2=   Navigation pane style.
; 4=   Window style flags.
; 8=   Window extended style flags.
; 16=  Initial window position.
; 64=  Window show state.
; 256= Buttons.
; 512= Navigation Pane initially closed state.
; Dialog control: Help properties, Toolbar buttons. Window position, Show state, Window styles
; 								and Ex. Window styles check boxes.
; Default = 258
wt_valid_members=770

; A bit feild of navigation pane styles (262432). Sum of: 64= No text on toolbar buttons
; 256=    When the current topic changes automatically sync contents and index.
; 1024=   Include search tab in navigation pane
; 2048=   Include history tab in navigation pane
; 4096=   Include favorites tab in navigation pane
; 8196=   Put current HTML title in title bar
; 32768=  Don't display a toolbar
; 65536=  Menu
; 131072= Advanced FTS UI.
; 262144= After initial creation, user controls window size/position
; Dialog control: check boxes in group Help properties.
; Default = 262432
wt_properties=373088

; Whether or not the navigation pane is initially closed. 1 = closed, 0 = open
; Dialog control: Hide TOC & index.
; Default = 0
wt_hide_panes=1

; A bit field of the buttons to show (12294). Sum of:
; 2=       Hide/Show button hides/shows the navigation pane.
; 4=       Back button.
; 8=       Forward button.
; 16=      Stop button.
; 32=      Refresh button.
; 64=      Home button.
; 2048=    Locate button. Jumps to the current topic in the contents pane.
; 4096=    Options button.
; 8192=    Print button.
; 262144=  Jump1 buuton.
; 524288=  Jump2 buuton.
; 1048576= Font button. Changes the size of the text shown in the IE HTML display pane.
; 2097152= Next button. Jumps to the next topic in the contents pane. Requires Binary TOC.
; 4194304= Previous button. Jumps to the previous topic in the contents pane. Requires Binary TOC.
; Dialog control: check boxes in group Toolbar buttons.
; Default = 12294
wt_buttons=6158

; Initial position of the window on the screen: left, top, right, bottom coordinates.
; Dialog control: edit fields in Window position.
; Default = 10,10,610,410
wt_rect=10,10,610,410

; current language in English
Language=English
